﻿@{
    ViewData["Title"] = "Menu";
}
<section class="section">
    <div class="section-header">
        <h1>Menu Aplikasi</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Utility</a></div>
            <div class="breadcrumb-item active"><a href="#">Menu Aplikasi</a></div>
        </div>
    </div>

    <div class="section-body">
        <div class="form-row">
            <div class="col-md-7">
                <div class="card">
                    <form id="FormTabelMenuAplikasi" class="form-inline">
                        <div class="card-header form-row">
                            <h4 class="col-sm-3">Tabel Menu</h4>
                            <div class="col-sm-9 d-flex flex-row text-right float-right">
                                <div class="form-group text-right p-1">
                                    <div class="form-group text-right">
                                        <label class="col-form-label font-weight-bold">Jenis Aplikasi</label>
                                    </div> &nbsp;
                                    <div class="form-group text-right">
                                        <select name="IdAppl" class="form-control">
                                        </select>
                                    </div>&nbsp;
                                </div>
                                <div class="form-group text-right p-1" id="DivBtnTambah" style="display:none;">
                                    <button type="button" class="btn btn-success btn-flat" onclick="TambahMenu();"><i class="fa fa-plus"></i> Tambah</button>
                                </div>
                            </div>

                        </div>
                    </form>
                    <div class="card-body">
                        <center id="ImgSearchTabel">
                            <img src="~/assets/img/search.png" width="250px" />
                            <br /><br /><br /><br />
                        </center>
                        <div class="table-responsive">
                            <table id="TabelMenuSetting" class="table table-striped table-bordered table-hover nowrap" style="width:100%;display:none;">
                                <thead>
                                    <tr>
                                        <th>Jenis Aplikasi</th>
                                        <th>Nama Menu</th>
                                        <th>Controller & Action</th>
                                        <th>Aksi</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Jenis Aplikasi</th>
                                        <th>Nama Menu</th>
                                        <th>Controller & Action</th>
                                        <th>Aksi</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>

            </div>
            <div class="col-md-5">
                <div class="card">
                    <div class="card-header">
                        <h4 id="HeaderBody"></h4>
                    </div>
                    <div class="card-body" id="CardBody">
                        <center id="ImgSearch">
                            <img src="~/assets/img/search.png" width="250px" />
                            <br /><br /><br /><br />
                        </center>
                        <form id="FormMenu" action="#" method="post" style="display:none;">
                            <input type="hidden" name="IdApplTask" class="form-controller" />
                            <div class="form-group form-row">
                                <div class="col-md-4">
                                    <label class="col-form-label font-weight-bold">Jenis Aplikasi</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="hidden" name="IdAppl" class="form-control" readonly />
                                    <input type="text" name="ApplName" class="form-control" readonly />
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label font-weight-bold col-md-4">Parent Menu</label>
                                <select name="IdApplTaskParent" class="form-control col-md-8">
                                </select>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label font-weight-bold col-md-4">Nama </label>
                                <input type="text" name="ApplTaskName" class="form-control col-md-8" placeholder="Ketikkan Nama Menu" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label font-weight-bold col-md-4">Controller </label>
                                <input type="text" name="ControllerName" class="form-control col-md-8" placeholder="Ketikkan Nama Controller" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label font-weight-bold col-md-4">Action </label>
                                <input type="text" name="ActionName" class="form-control col-md-8" placeholder="Ketikkan Nama Action" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label font-weight-bold col-md-4">Icon </label>
                                <input type="text" name="IconName" class="form-control col-md-8" placeholder="Ketikkan Nama Icon" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label font-weight-bold col-md-4">Deskripsi </label>
                                <textarea name="Description" class="form-control col-md-8" placeholder="Ketikkan Deskripsi"></textarea>
                            </div>
                            <button type="button" id="BtnSave" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button>
                        </form>

                    </div>
                </div>

            </div>
        </div>
    </div>
</section>